# AND/OR IN IF STATEMENTS

number = 9

if (number > 2 or number == 1): # uses OR
    print ("good")

if (number > 5 and number == 8): # uses AND
    print ("good")

# WHILE LOOPS

while True:
    print("hi") # prints hi an INFINITE number of times - you probably don't want this!!

count = 0
while (count < 10):
    print("hi")
    count = count + 1 # prints hi 10 times


# FOR LOOPS

for count in range (10):
    print(count)
    print("hi") # prints hi 10 times

for count in range (105, 123):
    print(count) #105, 106, ... 122

for count in range (105, 400, 30):
    print(count) # 105, 135, ... 375

for count in range (-5, 2):
    print(count) # -5, -4, ... 1

for count in range (8, 1):
    print(count) # nothing

for count in range (1.5, 5.5):
    print(count) # error

# CATS VS DOGS VOTE!!
# No error checking (if you enter something that's not cats or dogs)
cats = 0
dogs = 0

for i in range (10):
    vote = input("Cats or dogs? ")

    if (vote == "cats"):
        cats = cats + 1
    elif (vote == "dogs"):
        dogs = dogs + 1
    else:
        print ("WHAT?")

print ("Cats:", cats)
print ("Dogs:", dogs)


# Error checking (if you enter something that's not cats or dogs)
cats = 0
dogs = 0

for i in range (10):
    vote = ""

    while (vote != "cats" and vote != "dogs"): # will keep looping if your input is not "cats" or "dogs"
        vote = input("Cats or dogs? ")
    
    if (vote == "cats"):
        cats = cats + 1
    else:
        dogs = dogs + 1

print ("Cats:", cats)
print ("Dogs:", dogs)





